Loading...
Searching...
No Matches
Error Data Accessors and Modifiers
Globus Common API » Globus Error API » Globus Errno Error API

Error Data Accessors and Modifiers. More...

## Get Errno

int | globus_error_errno_get_errno (globus_object_t *error)

## Set Errno

void | globus_error_errno_set_errno (globus_object_t *error, const int system_errno)

## Detailed Description

Error Data Accessors and Modifiers.

Get and set data in a Globus Errno Error object.

This section defines operations for accessing and modifying data in a Globus Errno Error object.

## Function Documentation

## globus_error_errno_get_errno()

int globus_error_errno_get_errno | ( | globus_object_t * | error | ) |

Retrieve the system errno from a errno error object.

Parameters

  error | The error from which to retrieve the errno

Returns
  The errno stored in the object

## globus_error_errno_set_errno()

void globus_error_errno_set_errno | ( | globus_object_t * | error,
|  | const int | system_errno )

Set the errno in a errno error object.

Parameters

  error | The error object for which to set the errno
  system_errno | The system errno

Returns
  void